Issue 80412 - cursoring through Indic languages
Summary: cursoring through Indic languages
Status: CLOSED FIXED
Alias: None
Product: Internationalization
Classification: Code
Component: i18npool (show other issues)
Version: 680m224
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: stefan.baltzer
QA Contact: issues@l10n
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-07 12:35 UTC by jnavrati
Modified: 2013-08-07 15:02 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch to fix (1.93 KB, text/plain)
2007-08-07 12:36 UTC, jnavrati
no flags Details
I have created a document with one cell (\u0936\u0940), which may not be meaningful, but will show you the difference of the patch. One arrow key stroke to move over the cell with the patch, 2 strokes without the patch. (7.41 KB, application/vnd.oasis.opendocument.text)
2008-09-24 06:21 UTC, karl.hong
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jnavrati 2007-08-07 12:35:59 UTC
this fixes the behaviour of left and right cursoring through Indic languages
Comment 1 jnavrati 2007-08-07 12:36:30 UTC
Created attachment 47357 [details]
patch to fix
Comment 2 ooo 2007-08-07 14:07:47 UTC
Karl, please take a look. The "Korean Syllable Definitions" are different from
those in char_ta.txt, it seems that char_ta.txt is outdated, it is based on
Unicode 4.0 whereas this attachment here is based on Unicode 5.0. I'm not sure
whether we really needed different rules per locale (in which case the
attachment probably should be named char_in.txt instead) or one definition would
do for all instead.

If sensible please target to OOo2.4

Thanks
  Eike
Comment 3 ooo 2007-08-07 14:17:53 UTC
Started.
Comment 4 ooo 2007-08-07 14:18:46 UTC
Sorry, wrong issue, resetting to new.
Comment 5 ooo 2008-06-10 16:48:51 UTC
Karl, it seems this one got overlooked because it didn't have a target set.
Please take a look and add the patch to a OOo3.0 CWS if appropriate.
Comment 6 karl.hong 2008-06-17 17:44:35 UTC
Could someone provide test case (test document) for this patch?
Comment 7 karl.hong 2008-07-16 20:48:44 UTC
re-target to OOo 3.1.
Comment 8 karl.hong 2008-09-02 00:29:54 UTC
Fixed in cws i18n45.
Comment 9 karl.hong 2008-09-02 04:08:20 UTC
ready for QA.
Comment 10 stefan.baltzer 2008-09-18 10:48:33 UTC
SBA: Yes, a short test case description (better: with bugdoc) would help a lot. 
I can only verify a fix if I see the misbehavior first.

SBA->jnavrati: Please comment, thanks.
Comment 11 karl.hong 2008-09-24 06:21:11 UTC
Created attachment 56789 [details]
I have created a document with one cell (\u0936\u0940), which may not be meaningful, but will show you the difference of the patch. One arrow key stroke to move over the cell with the patch, 2 strokes without the patch.
Comment 12 karl.hong 2008-09-24 06:23:20 UTC
I have created a document with one cell (\u0936\u0940), which may not be
meaningful, but will show you the difference of the patch. One arrow key stroke
to move over the cell with the patch, 2 strokes without the patch. 
Comment 13 stefan.baltzer 2008-09-25 10:44:37 UTC
SBA->Karl: Thank you very much.
Verified in CWS i18n45. 
Comment 14 caolanm 2008-11-12 13:59:08 UTC
Seen DEV300m33